/*
 Switch
 
 One LED is on and one off when switch is idle 
 and the reverse happens when the switch is pressed.
 */

//Constants
const int switchPin = 8;     // the number of the switch pin
const int led1Pin =  10;      // the number of the LED1 pin
const int led2Pin =  13;      // the number of the LED2 pin

// variables will change:
int switchState = 0;         // variable for reading the pushbutton status

void setup() {
  // initialize the LED pins as outputs:
  pinMode(led1Pin, OUTPUT);
  pinMode(led2Pin, OUTPUT);  
  // initialize the pushbutton pin as an input:
  pinMode(switchPin, INPUT);     
}

void loop(){
  // read the state of the pushbutton value:
 switchState = digitalRead(switchPin);

  // check if the switch is pressed.
  // if it is, the switchState is low:
  if (switchState == LOW) {     
    // Switch Pressed:    
    digitalWrite(led2Pin, HIGH);
    digitalWrite(led1Pin, LOW);  
  } 
  else {
    // Switch Idle:
    digitalWrite(led1Pin, HIGH);
    digitalWrite(led2Pin, LOW); 
  }
}
